import {execSync} from 'child_process';

let baseNames: string[] = ['card-app.', 'overwatch.', 'hyper-space.', 'Hyperspace', 'Overwatch.'];
let descriptions: string[]  = ['fix-', 'stuff-', 'add-file-', 'clean-up-file-'];

class MakeFakeBranches {
  private _counter: number = 0;
  private _branches: string[] = [];

  constructor() {
    this._init();
  }

  public exec() : void {
    this._branches.map((branch) => {
      execSync('git co -b ' + branch);
    });
  }

  private _init() : void {
    baseNames.map((baseName) => {
      descriptions.map((description) => {
        this._branches.push(baseName + description + this._counter);
        this._counter++;
      });
    });
  }
}

new MakeFakeBranches().exec();
